INCVMemAllocator Class Referenceabstract

INCVMemAllocator (Interface) More...

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp>`

Inheritance diagram for INCVMemAllocator:

## Public Member Functions

virtual | ~INCVMemAllocator ()=0
virtual NCVStatus | alloc (NCVMemSegment &seg, size_t size)=0
virtual NCVStatus | dealloc (NCVMemSegment &seg)=0
virtual NcvBool | isInitialized (void) const =0
virtual NcvBool | isCounting (void) const =0
virtual NCVMemoryType | memType (void) const =0
virtual Ncv32u | alignment (void) const =0
virtual size_t | maxSize (void) const =0

## Detailed Description

INCVMemAllocator (Interface)

Definition at line 418 of file NCV.hpp.

## Constructor & Destructor Documentation

## ~INCVMemAllocator()

INCVMemAllocator::~INCVMemAllocator | ( |  | ) |

inline pure virtual

Definition at line 434 of file NCV.hpp.

## Member Function Documentation

## alignment()

virtual Ncv32u INCVMemAllocator::alignment | ( | void |  | ) | const

pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

Referenced by NCVMatrixAlloc< T >::NCVMatrixAlloc().

## alloc()

virtual NCVStatus INCVMemAllocator::alloc | ( | NCVMemSegment & | seg,
|  | size_t | size
| ) |  |

pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

Referenced by NCVMatrixAlloc< T >::NCVMatrixAlloc(), and NCVVectorAlloc< HaarClassifierNode128 >::NCVVectorAlloc().

## dealloc()

virtual NCVStatus INCVMemAllocator::dealloc | ( | NCVMemSegment & | seg | ) |

pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## isCounting()

virtual NcvBool INCVMemAllocator::isCounting | ( | void |  | ) | const

pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## isInitialized()

virtual NcvBool INCVMemAllocator::isInitialized | ( | void |  | ) | const

pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## maxSize()

virtual size_t INCVMemAllocator::maxSize | ( | void |  | ) | const

pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

## memType()

virtual NCVMemoryType INCVMemAllocator::memType | ( | void |  | ) | const

pure virtual

Implemented in NCVMemNativeAllocator, and NCVMemStackAllocator.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCV.hpp